Mailinglist Archive: opensuse-factory (1324 mails)

< Previous Next >
Re: [opensuse-factory] [Leap 42.1] Can not start YaST software module
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

On 2015-10-03 01:40, Carlos E. R. wrote:


Hi,

Eleanor-421:~ # yast2 sw_single
No such server module qt

Run 'yast2 -h' for help on usage
Eleanor-421:~ #

I see this in the log:

2015-10-03 01:27:29 <1> Eleanor-421(9067) [liby2] genericfrontend.cc(main):575
Launched YaST2 component 'y2base' 'sw_single' 'qt'
2015-10-03 01:27:29 <3> Eleanor-421(9067) [liby2]
Y2PluginComponent.cc(loadPlugin):234 error loading plugin
/usr/lib64/YaST2/plugin/libpy2UI.so.2: /usr/lib64/libyui.so.7: file too short
2015-10-03 01:27:29 <3> Eleanor-421(9067) [liby2]
Y2PluginComponent.cc(loadPlugin):234 error loading plugin
/usr/lib64/YaST2/plugin/libpy2UI.so.2: /usr/lib64/libyui.so.7: file too short
2015-10-03 01:27:29 <3> Eleanor-421(9067) [liby2]
genericfrontend.cc(print_error):863 No such server module qt

Also, while getting the above:


Eleanor-421:~ # less /var/log/YaST2/y2log
/bin/bash: error while loading shared libraries: libreadline.so.6: failed to
map segment from shared object: Permission denied
Eleanor-421:~ #


Eleanor-421:~ # rpm -Va libyui7
S.5...... /usr/lib64/libyui.so.7.0.0
S.5...... d /usr/share/doc/packages/libyui7/COPYING.gpl-3
S.5...... d /usr/share/doc/packages/libyui7/COPYING.lgpl-2.1
S.5...... d /usr/share/doc/packages/libyui7/COPYING.lgpl-3
Eleanor-421:~ # zypper install --force libyui7
Loading repository data...
Reading installed packages...
Forcing installation of 'libyui7-3.2.3-1.1.x86_64' from repository
'openSUSE-Leap-Oss'.
Resolving package dependencies...

The following package is going to be reinstalled:
libyui7

1 package to reinstall.
Overall download size: 200.6 KiB. Already cached: 0 B. No additional space will
be used or freed after the operation.
Continue? [y/n/? shows all options] (y): y
Retrieving package libyui7-3.2.3-1.1.x86_64
(1/1), 200.6 KiB (718.7 KiB unpacked)
Retrieving: libyui7-3.2.3-1.1.x86_64.rpm
...............................................................[done (633.4
KiB/s)]
Checking for file conflicts:
.........................................................................................[done]
(1/1) Installing: libyui7-3.2.3-1.1
..................................................................................[done]
Additional rpm output:
/sbin/ldconfig: File /usr/lib64/libhd.so.21.21 is empty, not checked.
/sbin/ldconfig: File /usr/lib64/libhd.so.21 is empty, not checked.


Eleanor-421:~ #



So... I also forced reinstall of hwinfo and libreadline6, and now sw_single
does start.
But it complains of a ton of conflicts!
If I accept, the entire system will be destroyed.


#### YaST2 conflicts list - generated 2015-10-03 03:07:55 ####

nothing provides appdata(nm-connection-editor.appdata.xml) needed by
application:NetworkManager-.noarch

[x] deinstallation of application:NetworkManager-.noarch
[ ] break application:NetworkManager-.noarch by ignoring some of its
dependencies



nothing provides appdata(firefox.appdata.xml) needed by
application:Firefox-.noarch

[ ] deinstallation of application:Firefox-.noarch
[ ] break application:Firefox-.noarch by ignoring some of its dependencies



Mesa-libGL1-10.6.2-3.3.x86_64 requires Mesa = 10.6.2, but this requirement
cannot be provided
uninstallable providers: Mesa-10.6.2-3.3.x86_64[openSUSE-42.1-0]
[ ] Following actions will be done:
downgrade of Mesa-11.0.0-127.1.x86_64 to Mesa-10.6.2-3.3.x86_64
install Mesa-10.6.2-3.3.x86_64 (with vendor change)
openSUSE --> obs://build.opensuse.org/openSUSE:42
deinstallation of Mesa-libGL1-11.0.0-127.1.x86_64
[ ] deinstallation of Mesa-libGL1-10.6.2-3.3.x86_64

[ ] break Mesa-libGL1-10.6.2-3.3.x86_64 by ignoring some of its dependencies



and many pages more :-(

[...]

Crumbs. scrap all that. rpm data base corrupted. rebuilddb.


Then, yast autoselects a ton of packages to remove, including bash. I click on
all in this list, update unconditionally.
Maybe it will work.


Probably cause could be the previous sudden reboot in the middle of a zypper
dup this morning. Apparently known bug.

- --
Cheers / Saludos,

Carlos E. R.

(from 13.1 x86_64 "Bottle" (Minas Tirith))
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.22 (GNU/Linux)

iF4EAREIAAYFAlYPM30ACgkQja8UbcUWM1zE3gD9HMn7gR97DHqt1dOkjUnUGCcz
DVjQmn+0LD2R0fHy628A/iCajZSZFahClAU3pM6Eqvjp4G91KwdmexxcwF5OfGus
=VpPr
-----END PGP SIGNATURE-----
--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups
References